---
updatedAt: 2026-08-06T09:59:42.000Z
---

# Creates an embedding vector from the input text.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "NVIDIA NIM API for snowflake/arctic-embed-l",
    "description": "The NVIDIA NIM REST API. Please see https://docs.api.nvidia.com/nim for more details.",
    "version": "1.0.0",
    "termsOfService": "https://nvidia.com/legal/terms-of-use",
    "contact": {
      "name": "NVIDIA Support",
      "url": "https://help.nvidia.com/"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://choosealicense.com/licenses/apache-2.0/"
    }
  },
  "servers": [
    {
      "url": "https://ai.api.nvidia.com/v1"
    }
  ],
  "paths": {
    "/retrieval/snowflake/arctic-embed-l/embeddings": {
      "post": {
        "summary": "Creates an embedding vector from the input text.",
        "operationId": "invokeFunction",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/EmbeddingsRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Invocation is fulfilled",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EmbeddingsResponse"
                }
              }
            }
          },
          "202": {
            "description": "Result is pending. Client should poll using the requestId.\n",
            "content": {
              "application/json": {
                "example": {},
                "schema": {}
              }
            },
            "headers": {
              "NVCF-REQID": {
                "description": "requestId required for pooling",
                "schema": {
                  "type": "string",
                  "format": "uuid",
                  "maxLength": 36
                }
              },
              "NVCF-STATUS": {
                "description": "Invocation status",
                "schema": {
                  "type": "string",
                  "format": "^[a-zA-Z-]{1,64}$",
                  "maxLength": 64
                }
              }
            }
          },
          "422": {
            "description": "Validation failed, provided entity could not be processed.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "example": {
                  "type": "urn:nvcf-worker-service:problem-details:unprocessable-entity",
                  "title": "Unprocessable Entity",
                  "status": 422,
                  "detail": "string",
                  "instance": "/v2/nvcf/pexec/functions/TBD",
                  "requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
                }
              }
            }
          },
          "500": {
            "description": "The invocation ended with an error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "example": {
                  "type": "urn:nvcf-worker-service:problem-details:internal-server-error",
                  "title": "Internal Server Error",
                  "status": 500,
                  "detail": "string",
                  "instance": "/v2/nvcf/pexec/functions/TBD",
                  "requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
                }
              }
            }
          }
        },
        "x-nvai-meta": {
          "name": "Create Text Embedding",
          "description": "Generates an embedding vector from the provided text\nusing a specified model. The embedding can be returned\nin either float array or base64-encoded format.\n",
          "path": "create",
          "examples": [
            {
              "name": "Embedding vector for text input",
              "requestJson": "{\n  \"input\": \"What is the capital of France?\",\n  \"model\": \"snowflake/arctic-embed-l\",\n  \"input_type\": \"query\",\n  \"encoding_format\": \"float\",\n  \"truncate\": \"NONE\"\n}\n",
              "responseJson": "{\n  \"object\": \"list\",\n  \"data\": [\n    {\n      \"object\": \"embedding\",\n      \"embedding\": [0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33],\n      \"index\": 0\n    }\n  ],\n  \"model\": \"snowflake/arctic-embed-l\",\n  \"usage\": {\n    \"prompt_tokens\": 6,\n    \"total_tokens\": 6\n  }\n}\n"
            }
          ],
          "templates": [
            {
              "title": "Synchronous requests",
              "requestEjs": {
                "curl": "curl -X POST https://ai.api.nvidia.com/v1/retrieval/snowflake/arctic-embed-l/embeddings \\\n  -H \"Content-Type: application/json\" \\\n  -H \"Authorization: Bearer $NVIDIA_API_KEY\" \\\n  -d '{\n    \"input\": [\"<%- request.input.replaceAll('\"', '\\\\\"').replaceAll(\"'\", \"'\\\"'\\\"'\") %>\"],\n    \"model\": \"snowflake/arctic-embed-l\",\n    \"input_type\": \"<%- request.input_type %>\",\n    \"encoding_format\": \"<%- request.encoding_format %>\",\n    \"truncate\": \"<%- request.truncate ?? 'NONE' %>\"\n  }'\n",
                "python": "from openai import OpenAI\n\nclient = OpenAI(\n  api_key=\"$NVIDIA_API_KEY\",\n  base_url=\"https://ai.api.nvidia.com/v1/retrieval/snowflake/arctic-embed-l\"\n)\n\nresponse = client.embeddings.create(\n    input=[<%- JSON.stringify(request.input) %>],\n    model=\"snowflake/arctic-embed-l\",\n    encoding_format=\"<%- request.encoding_format %>\",\n    extra_body={\"input_type\": \"<%- request.input_type %>\", \"truncate\": \"<%- request.truncate  ?? 'NONE' %>\"}\n)\n\nprint(response.data[0].embedding)\n"
              },
              "response": "{\n  \"object\": \"list\",\n  \"data\": [\n    {\n      \"object\": \"embedding\",\n      \"embedding\": [0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.72, 0.97, 0.118, 0.101, 0.32, 0.102, 0.117, 0.110, 0.32, 0.101, 0.120, 0.112, 0.101, 0.114, 0.105, 0.101, 0.110, 0.99, 0.105, 0.110, 0.103, 0.32, 0.116, 0.104, 0.101, 0.32, 0.112, 0.111, 0.119, 0.101, 0.114, 0.32, 0.111, 0.102, 0.32, 0.116, 0.104, 0.101, 0.32, 0.78, 0.73, 0.77, 0.115, 0.44, 0.32, 0.102, 0.111, 0.114, 0.32, 0.121, 0.111, 0.117, 0.114, 0.32, 0.76, 0.76, 0.77, 0.32, 0.82, 0.65, 0.71, 0.32, 0.97, 0.112, 0.112, 0.108, 0.105, 0.99, 0.97, 0.116, 0.105, 0.111, 0.110, 0.44, 0.32, 0.97, 0.103, 0.101, 0.110, 0.116, 0.115, 0.32, 0.97, 0.110, 0.100, 0.32, 0.109, 0.111, 0.114, 0.101, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33, 0.33],\n      \"index\": 0\n    }\n  ],\n  \"model\": \"snowflake/arctic-embed-l\",\n  \"usage\": {\n    \"prompt_tokens\": 6,\n    \"total_tokens\": 6\n  }\n}\n"
            }
          ]
        }
      }
    }
  },
  "security": [
    {
      "Token": []
    }
  ],
  "components": {
    "securitySchemes": {
      "Token": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "Errors": {
        "properties": {
          "type": {
            "type": "string",
            "format": "^.{1, 128}$",
            "maxLength": 128,
            "description": "Error type"
          },
          "title": {
            "type": "string",
            "format": "^.{1, 128}$",
            "maxLength": 128,
            "description": "Error title"
          },
          "status": {
            "type": "integer",
            "minimum": 100,
            "maximum": 999,
            "description": "Error status code"
          },
          "detail": {
            "type": "string",
            "format": "^.{1, 1024}$",
            "maxLength": 1024,
            "description": "Detailed information about the error"
          },
          "instance": {
            "type": "string",
            "format": "^.{1, 256}$",
            "maxLength": 256,
            "description": "Function instance used to invoke the request"
          },
          "requestId": {
            "type": "string",
            "format": "uuid",
            "maxLength": 36,
            "description": "UUID of the request"
          }
        },
        "type": "object",
        "required": [
          "type",
          "title",
          "status",
          "detail",
          "instance",
          "requestId"
        ],
        "title": "InvokeError"
      },
      "Embeddings": {
        "properties": {
          "object": {
            "const": "embedding",
            "default": "embedding",
            "description": "The object type, which is always `embedding`.",
            "enum": [
              "embedding"
            ],
            "title": "Object",
            "type": "string"
          },
          "index": {
            "description": "The index of the embedding in the list of embeddings.",
            "title": "Index",
            "type": "integer"
          },
          "embedding": {
            "anyOf": [
              {
                "items": {
                  "type": "number"
                },
                "type": "array"
              },
              {
                "type": "string"
              }
            ],
            "description": "The embedding vector.",
            "title": "Embedding"
          }
        },
        "required": [
          "index",
          "embedding"
        ],
        "title": "Embeddings",
        "type": "object"
      },
      "EmbeddingsRequest": {
        "additionalProperties": false,
        "properties": {
          "model": {
            "type": "string",
            "enum": [
              "snowflake/arctic-embed-l"
            ],
            "description": "ID of the embedding model.",
            "example": "snowflake/arctic-embed-l"
          },
          "input": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "items": {
                  "type": "string"
                },
                "type": "array"
              }
            ],
            "description": "Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings. The input must not exceed the max input tokens for the model (512 tokens) and cannot be an empty string.",
            "examples": [
              "A painting from Picasso"
            ],
            "minLength": 1,
            "title": "Input"
          },
          "input_type": {
            "default": "passage",
            "description": "This model operate in passage or query mode, and thus require the input_type parameter. passage is used when generating embeddings during indexing. query is used when generating embeddings during querying. It is very important to use the correct input_type. Failure to do so will result in large drops in retrieval accuracy.",
            "enum": [
              "query",
              "passage"
            ],
            "title": "Input Type",
            "type": "string"
          },
          "encoding_format": {
            "default": "float",
            "description": "The format to return the embeddings in",
            "enum": [
              "float",
              "base64"
            ],
            "title": "Encoding Format",
            "type": "string"
          },
          "truncate": {
            "type": "string",
            "description": "Specifies how inputs longer than the maximum token length of the model are handled. Passing `START` discards the start of the input. `END` discards the end of the input. In both cases, input is discarded until the remaining input is exactly the maximum input token length for the model. If `NONE` is selected, when the input exceeds the maximum input token length an error will be returned.",
            "enum": [
              "NONE",
              "START",
              "END"
            ],
            "default": "NONE",
            "title": "Truncate"
          }
        },
        "required": [
          "input"
        ],
        "title": "EmbeddingsRequest",
        "type": "object"
      },
      "EmbeddingsResponse": {
        "properties": {
          "object": {
            "const": "list",
            "default": "list",
            "description": "The object type, which is always `list`.",
            "enum": [
              "list"
            ],
            "title": "Object",
            "type": "string"
          },
          "model": {
            "title": "Model",
            "type": "string"
          },
          "data": {
            "description": "The list of embeddings generated by the model.",
            "examples": [
              [
                {
                  "embedding": [
                    0.1,
                    0.1,
                    0.1
                  ],
                  "index": 0,
                  "object": "embedding"
                }
              ]
            ],
            "items": {
              "$ref": "#/components/schemas/Embeddings"
            },
            "title": "Data",
            "type": "array"
          },
          "usage": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Usage"
              }
            ],
            "description": "Usage statistics for the embeddings request.",
            "examples": [
              {
                "prompt_tokens": 8,
                "total_tokens": 8
              }
            ]
          }
        },
        "required": [
          "model",
          "data",
          "usage"
        ],
        "title": "EmbeddingsResponse",
        "type": "object"
      },
      "Usage": {
        "properties": {
          "prompt_tokens": {
            "description": "Number of tokens in the prompt.",
            "examples": [
              42
            ],
            "title": "Prompt Tokens",
            "type": "integer"
          },
          "total_tokens": {
            "description": "Total number of tokens used in the request.",
            "examples": [
              42
            ],
            "title": "Total Tokens",
            "type": "integer"
          }
        },
        "required": [
          "prompt_tokens",
          "total_tokens"
        ],
        "title": "Usage",
        "type": "object"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```